Package picard.nio

## Enum PathProvider

- java.lang.Object
- - java.lang.Enum<PathProvider>
  - - picard.nio.PathProvider

- All Implemented Interfaces:
    `Serializable`, `Comparable<PathProvider>`

      public enum PathProvider
      extends Enum<PathProvider>

  A class whose purpose is to initialize the various plugins that provide Path support.

  At the moment only google-GCS support is available, but it should be easy to follow the pattern and add support for other Path providers.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `GCS` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `boolean` | `isAvailable` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract boolean` | `initialize()` |
    `static PathProvider` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static PathProvider[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GCS

          public static final PathProvider GCS

  - ### Field Detail

    - #### isAvailable

          public final boolean isAvailable

  - ### Method Detail

    - #### values

          public static PathProvider[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PathProvider c : PathProvider.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PathProvider valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### initialize

          protected abstract boolean initialize()